Skip to main content
GET
/
customers
/
{customerId}
/
wallets
List customer wallets
curl --request GET \
  --url https://api.conduit.financial/v2/customers/{customerId}/wallets \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "wlt_2xKjF9mQb7vN4hL1pR3w8t",
      "chain": "ethereum",
      "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
      "status": "active",
      "balances": [
        {
          "available": {
            "code": "USD",
            "amount": "1000.00"
          },
          "pending": {
            "code": "USD",
            "amount": "0.00"
          },
          "frozen": {
            "code": "USD",
            "amount": "0.00"
          }
        }
      ],
      "createdAt": "2026-01-15T09:30:00.000Z",
      "updatedAt": "2026-01-15T09:30:00.000Z",
      "custodyModel": "custodial",
      "rotatedAt": "2026-01-15T09:30:00.000Z",
      "replacedByWalletId": "<string>",
      "clientReferenceId": "<string>"
    }
  ],
  "meta": {
    "mode": "cursor",
    "nextCursor": "eyJpZCI6ImN1c18yeFBxTjhSIn0",
    "previousCursor": null,
    "total": 42
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

limit
number
default:20

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
direction
enum<string>

Pagination direction relative to the cursor

Available options:
forward,
backward
clientReferenceId
string

Response

data
object[]
required

List of wallets

meta
object
required

Pagination metadata